shells/lshell - The NetBSD Packages Collection

Lshell restricts user's environment to specified commands

Limited Shell (lshell) provides a configurable shell per user. This is done
quite simply using a configuration file. It becomes easy to restrict user's
access to a limited set of commands, choosing to allow any command over SSH
(e.g. SCP,SFTP,rsync,etc.).

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/py-readline lang/python27 lang/python27

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflshell-0.9.16nb2.tgz
NetBSD 8.0earmv7hflshell-0.9.16nb1.tgz
NetBSD 8.0earmv7hflshell-0.9.16nb1.tgz
NetBSD 8.0earmv7hflshell-0.9.16nb1.tgz
NetBSD 8.0i386lshell-0.9.16nb1.tgz
NetBSD 8.0i386lshell-0.9.16nb1.tgz
NetBSD 8.0i386lshell-0.9.16nb2.tgz
NetBSD 8.0powerpclshell-0.9.16nb1.tgz
NetBSD 8.0powerpclshell-0.9.16nb1.tgz
NetBSD 8.0powerpclshell-0.9.16nb2.tgz
NetBSD 8.0powerpclshell-0.9.16nb2.tgz
NetBSD 8.0x86_64lshell-0.9.16nb1.tgz
NetBSD 8.0x86_64lshell-0.9.16nb1.tgz
NetBSD 8.0x86_64lshell-0.9.16nb2.tgz
NetBSD 9.0aarch64lshell-0.9.16nb2.tgz
NetBSD 9.0aarch64lshell-0.9.16nb1.tgz
NetBSD 9.0aarch64lshell-0.9.16nb1.tgz
NetBSD 9.0aarch64lshell-0.9.16nb2.tgz
NetBSD 9.0alphalshell-0.9.16nb2.tgz
NetBSD 9.0alphalshell-0.9.16nb1.tgz
NetBSD 9.0alphalshell-0.9.16nb2.tgz
NetBSD 9.0earmv6hflshell-0.9.16nb2.tgz
NetBSD 9.0earmv6hflshell-0.9.16nb1.tgz
NetBSD 9.0earmv6hflshell-0.9.16nb1.tgz
NetBSD 9.0earmv6hflshell-0.9.16nb2.tgz
NetBSD 9.0earmv6hflshell-0.9.16nb2.tgz
NetBSD 9.0earmv7hflshell-0.9.16nb2.tgz
NetBSD 9.0earmv7hflshell-0.9.16nb1.tgz
NetBSD 9.0earmv7hflshell-0.9.16nb1.tgz
NetBSD 9.0earmv7hflshell-0.9.16nb1.tgz
NetBSD 9.0earmv7hflshell-0.9.16nb2.tgz
NetBSD 9.0earmv7hflshell-0.9.16nb2.tgz
NetBSD 9.0i386lshell-0.9.16nb1.tgz
NetBSD 9.0i386lshell-0.9.16nb1.tgz
NetBSD 9.0i386lshell-0.9.16nb2.tgz
NetBSD 9.0mips64eblshell-0.9.16nb2.tgz
NetBSD 9.0mips64eblshell-0.9.16nb1.tgz
NetBSD 9.0mips64eblshell-0.9.16nb2.tgz
NetBSD 9.0powerpclshell-0.9.16nb2.tgz
NetBSD 9.0powerpclshell-0.9.16nb1.tgz
NetBSD 9.0powerpclshell-0.9.16nb1.tgz
NetBSD 9.0sparc64lshell-0.9.16nb2.tgz
NetBSD 9.0sparc64lshell-0.9.16nb1.tgz
NetBSD 9.0sparc64lshell-0.9.16nb2.tgz
NetBSD 9.0x86_64lshell-0.9.16nb1.tgz
NetBSD 9.0x86_64lshell-0.9.16nb2.tgz
NetBSD 9.0x86_64lshell-0.9.16nb2.tgz
NetBSD 9.0x86_64lshell-0.9.16nb1.tgz
NetBSD 9.0x86_64lshell-0.9.16nb1.tgz
NetBSD 9.0x86_64lshell-0.9.16nb2.tgz
NetBSD 9.0x86_64lshell-0.9.16nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.